Subject: Re: Newbie grief

From: Andreas Ericsson <[email-masked]>
Date: Wed, 02 May 2012 00:17:01 +0200

On 05/02/2012 12:07 AM, Rich Pixley wrote:
> On 5/1/12 14:39 , Randal L. Schwartz wrote:
>> 
>> Rich> My particular situation is that I'm developing a "feature"
>> and to do that, I need to be testing on multiple machines.
>> Tens of them.
>> 
>> I think you're now confusing git with a deploy system. That is
>> also something that will lead you to unnecessary grief. Pick a
>> deploy system that's not git, and integrate git with it.
> 
> No, not a deploy system. You use a deploy system to set up something
> like multiple server http farms. What I'm doing is more akin to
> porting the same piece of software to 20 different operating system
> distributions. I'm not "deploying" the source code. I'm developing
> it.
> 
> Thank you for acknowledging that git is a poor match for this
> scenario, though.
> 

Git works well for that if you put hooks in place to trigger builds
and test-runs on the testservers though. We do exactly that, and I
doubt we're the only ones who do automated testing of every push.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.